# Generated from allure-rspec-2.15.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name allure-rspec

Name: rubygem-%{gem_name}
Version: 2.15.0
Release: 1%{?dist}
Summary: Allure rspec ruby adaptor
License: Apache-2.0
URL: https://github.com/allure-framework/allure-ruby/tree/master/allure-rspec
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
BuildArch: noarch

%description
Cucumber adaptor to generate rich allure test reports.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Oct 04 2021 mockbuilder - 2.15.0-1
- Initial package
